For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update Purchase Invoice Notification

Alış faturasına ait bildirim kuralını günceller.

put
Authorizations
HTTPRequired

API Key Giriniz

Body
Responses
200

Alış faturasına ait bildirim kuralını günceller.

application/json
booleanOptional
put/Notification/Purchase
PUT /einvoice/Notification/Purchase HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 248

{
  "NotificationDto": {
    "ID": 1,
    "RuleName": "text",
    "Rules": [
      {
        "Property": "DocumentProfile",
        "Operator": "GreaterOrEqual",
        "ValueFirst": "text",
        "ValueSecond": "text"
      }
    ],
    "Contact": [
      {
        "NotificationValue": "text",
        "NotificationValueType": "Whatsapp"
      }
    ],
    "IsActive": true
  }
}
true
var options = new RestClientOptions("https://apitest.nilvera.com")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("/einvoice/Notification/Purchase", Method.Put);
request.AddHeader("Content-Type", "application/json");
request.AddHeader("Authorization", "Bearer <API KEY>");
var body = {"NotificationDto": {"ID": 0,"RuleName": "string","Rules": [{"Property": "DocumentProfile","Operator": "GreaterOrEqual","ValueFirst": "string","ValueSecond":"string"}],"Contact": [{"NotificationValue": "string","NotificationValueType": "Whatsapp"}],"IsActive": true}};
request.AddStringBody(body, DataFormat.Json);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://apitest.nilvera.com/einvoice/Notification/Purchase',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'PUT',
  CURLOPT_POSTFIELDS =>'{
  "NotificationDto": {
    "ID": 0,
    "RuleName": "string",
    "Rules": [
      {
        "Property": "DocumentProfile",
        "Operator": "GreaterOrEqual",
        "ValueFirst": "string",
        "ValueSecond": "string"
      }
    ],
    "Contact": [
      {
        "NotificationValue": "string",
        "NotificationValueType": "Whatsapp"
      }
    ],
    "IsActive": true
  }
}',
  CURLOPT_HTTPHEADER => array(
    'Content-Type: application/json',
    'Authorization: Bearer <API KEY>'
  ),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;

Last updated